#ifndef WIDGET_H
#define WIDGET_H

#include <iostream>



class Widget
{

protected:
int x;
int y;
Widget *next;

public:
virtual ~Widget(){};
Widget *getNext();
void    setNext(Widget * w);
void    setPosition(int xp,int yp);
virtual void draw()=0;
virtual int  isOver(int mousex,int mousey)=0;
virtual void print()=0;
};
#endif
